{ config, ... }:
{
  programs.wezterm = {
    enable = true;

    # currently broken
    # rose-pine.enable = true;

    extraConfig =
      let
        fonts = config.fonts.fontconfig.defaultFonts.monospace;
      in
      # lua
      ''
        local config = wezterm.config_builder()

        -- TODO: Only add this when using rose-pine
        local theme = wezterm.plugin.require('https://github.com/neapsix/wezterm').main

        config.colors = theme.colors()

        config.enable_tab_bar = false

        config.font = wezterm.font_with_fallback({
          { family = "${builtins.elemAt fonts 0}" },
          { family = "FairiesevkaTerm Nerd Font Mono" },
          {
            family = "FiraCode Nerd Font",
            harfbuzz_features = {
              "cv02",
              "cv06",
              "ss01",
              "cv14",
              "onum",
              "ss04",
              "cv18",
              "cv31",
              "cv30",
              "cv25",
              "cv26",
              "cv32",
              "ss06",
              "ss07",
            },
          },
          { family = "Apple Color Emoji" },
        })

        -- TODO: on mairley this should be set to 14.0
        config.font_size = 11.0
      '';
  };
}
